import request from "@/utils/request";

// // 专家列表
// export function expertList(data) {
//   return request({
//     url: "/admin/v1/manage/expert",
//     method: "post",
//     data,
//   });
// }

// // 专家信息添加
// export function expertAdd(data) {
//   return request({
//     url: "/admin/v1/manage/expert/add",
//     method: "post",
//     data,
//   });
// }
// // 专家详细信息
// export function expertDetail(data) {
//   return request({
//     url: "/admin/v1/manage/expert/detail",
//     method: "post",
//     data,
//   });
// }
// // 专家信息修改
// export function expertEdit(data) {
//   return request({
//     url: "/admin/v1/manage/expert/edit",
//     method: "post",
//     data,
//   });
// }
// // 专家审核操作
// export function expertExamine(data) {
//   return request({
//     url: "/admin/v1/manage/expert/examine",
//     method: "post",
//     data,
//   });
// }

// 专家分配账号
export function allocateAccount(data) {
    return request({
        url: "/business/casExpert/allocateAccount",
        method: "post",
        data,
    });
}

// 专家获取账号
export function getAccount(id) {
    return request({
        url: `/business/casExpert/getAccount/${id}`,
        method: "get",
    });
}

// 专家重置密码
export function restPassword(id, password) {
    return request({
        url: `/business/casExpert/restPassword/${id}/${password}`,
        method: "put",
    });
}

// 专家删除
export function expertDelete(ids) {
    return request({
        url: `/business/casExpert/${ids}`,
        method: "delete",
    });
}


export const downloadExpertTemplate = () => {
    return request({
        url: '/business/casExpert/importTemplate',
        method: 'get',
        responseType: 'blob'
    })
}